View Issue Details

IDProjectCategoryView StatusLast Update
0000147Far Manager 1.7xEditorpublic2007-07-16 16:07
Reporterdayosh_unicodeAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.71 
Summary0000147: Странная реакция редатора на EditorControl (ECTL_SAVEFILE, NULL) во время обработки EE_READ.
Descriptionиногда, редактор "думает", что файл был изменён во внешней
программе. У меня это появляется, если несколько раз нажать:
<Shift+F4>, "svn-commit.tmp", <Enter>, <Esc>.

(см. атач в http://farmanager.com/mantis/view.php?id=146)
TagsNo tags attached.
Build

Activities

dayosh_unicode

2006-04-26 15:55

reporter   bugnote:0000153

http://farmanager.com/mantis/file_download.php?file_id=20&type=bug

vskirdin

2006-05-06 07:25

administrator   bugnote:0000175

Фигня в том, что EE_READ вызывался 2 раза (забыли в одном месте убрать)
после 2099 смотреть.

alexy

2006-05-07 18:30

administrator   bugnote:0000179

Мда, ничего там два раза не вызывалось. Глюк в том что время файла бралось после вызова EE_READ в случае если файл уже существует. Смотреть после 2100.

alexy

2006-05-07 18:48

administrator   bugnote:0000180

Смотреть можно тут
http://farmanager.com/farbugs/far_ee_read.rar

Issue History

Date Modified Username Field Change
2006-04-26 15:46 dayosh_unicode New Issue
2006-04-26 15:55 dayosh_unicode Note Added: 0000153
2006-05-06 07:23 vskirdin Status new => assigned
2006-05-06 07:23 vskirdin Assigned To => vskirdin
2006-05-06 07:25 vskirdin Status assigned => resolved
2006-05-06 07:25 vskirdin Fixed in Version => 1.71
2006-05-06 07:25 vskirdin Resolution open => fixed
2006-05-06 07:25 vskirdin Note Added: 0000175
2006-05-07 18:27 alexy Status resolved => assigned
2006-05-07 18:27 alexy Assigned To vskirdin => alexy
2006-05-07 18:30 alexy Status assigned => resolved
2006-05-07 18:30 alexy Note Added: 0000179
2006-05-07 18:48 alexy Note Added: 0000180
2007-07-16 16:07 alexy Status resolved => closed